org.apache.solr.common.params

## Interface QueryElevationParams

-     public interface QueryElevationParams

  Parameters used with the QueryElevationComponent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EDITORIAL_MARKER_FIELD_NAME` The name of the field that editorial results will be written out as when using the QueryElevationComponent, which automatically configures the EditorialMarkerFactory.
    `static String` | `ENABLE`
    `static String` | `EXCLUDE`
    `static String` | `EXCLUDE_MARKER_FIELD_NAME` The name of the field that excluded editorial results will be written out as when using the QueryElevationComponent, which automatically configures the EditorialMarkerFactory.
    `static String` | `EXCLUSIVE`
    `static String` | `FORCE_ELEVATION`
    `static String` | `IDS`
    `static String` | `MARK_EXCLUDES` Instead of removing excluded items from the results, passing in this parameter allows you to get back the excluded items, but to mark them as excluded.

- - ### Field Detail

    - #### ENABLE

          static final String ENABLE

      See Also:
        Constant Field Values

    - #### EXCLUSIVE

          static final String EXCLUSIVE

      See Also:
        Constant Field Values

    - #### FORCE_ELEVATION

          static final String FORCE_ELEVATION

      See Also:
        Constant Field Values

    - #### IDS

          static final String IDS

      See Also:
        Constant Field Values

    - #### EXCLUDE

          static final String EXCLUDE

      See Also:
        Constant Field Values

    - #### EDITORIAL_MARKER_FIELD_NAME

          static final String EDITORIAL_MARKER_FIELD_NAME

      The name of the field that editorial results will be written out as when using the QueryElevationComponent, which automatically configures the EditorialMarkerFactory. The default name is "elevated"
      See http://wiki.apache.org/solr/DocTransformers
      See Also:
        Constant Field Values

    - #### EXCLUDE_MARKER_FIELD_NAME

          static final String EXCLUDE_MARKER_FIELD_NAME

      The name of the field that excluded editorial results will be written out as when using the QueryElevationComponent, which automatically configures the EditorialMarkerFactory. The default name is "excluded". This is only used when `MARK_EXCLUDES` is set to true at query time.
      See http://wiki.apache.org/solr/DocTransformers
      See Also:
        Constant Field Values

    - #### MARK_EXCLUDES

          static final String MARK_EXCLUDES

      Instead of removing excluded items from the results, passing in this parameter allows you to get back the excluded items, but to mark them as excluded.
      See Also:
        Constant Field Values

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.